YDS(4)

NAME
yds - Yamaha DS-XG audio device

SYNOPSIS
yds* at pci? flags 0x0000
audio* at yds?

DESCRIPTION
The yds driver supports Yamaha DS-XG based sound chips, as found in, e.g., many Sony Vaio notebooks.

The flags can be used to pass additional information to the yds driver.

A value of 0x1000 forces the driver to disable the Sound Blaster legacy mode. This is needed to make the floppy work on some machines but is disabled by default because it is known to break apm(4) support.

FILES
The driver needs a firmware file, which is loaded on demand when the device is attached:

/etc/firmware/yds

SEE ALSO
ac97(4), audio(4), intro(4), pci(4)

HISTORY
The yds driver first appeared in OpenBSD 2.9.

AUTHORS
Kazuki Sakamoto and Minoura Makoto.